# MatMultTransposeAdd

Computes v3 = v2 + A' * v1.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMultTransposeAdd(Mat mat,Vec v1,Vec v2,Vec v3)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| v1, v2 | - the vectors

### Output Parameters

v3 -the result

### C++ variants

| MatMultTransposeAdd(Mat A,Vec x,Vec y) |  | -> |  | MatMultTransposeAdd(A,x,y,y)

### Notes

The vectors v1 and v3 cannot be the same. I.e., one cannot call MatMultTransposeAdd(A,v1,v2,v1).

### See Also

MatMultTranspose(), MatMultAdd(), MatMult()

Level:beginner
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html